<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetCustomColumnValues Method (IEdmSearchResult6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSearchResult6 Interface : GetCustomColumnValues Method (IEdmSearchResult6)

Visual Basic
C#
C++/CLI

ppoRetColValues
  Array of string values (see Remarks)

Gets the custom column values returned in this favorite search result.

# Syntax

Visual Basic |
--- | ---

    Sub GetCustomColumnValues( _
       ByRef ppoRetColValues() As System.String _
    )

C# |
--- | ---

    void GetCustomColumnValues(
       out System.string[] ppoRetColValues
    )

C++/CLI |
--- | ---

    void GetCustomColumnValues(
    &   [Out] System.array<String^>^ ppoRetColValues
    )

#### Parameters

ppoRetColValues
  Array of string values (see Remarks)

# Example

See the IEdmSearch10 examples.

# Remarks

ppoRetColValues is not null only for favorite search results that show custom columns.

If the favorite search result:

- Does not have custom columns,

- ISearch10::GetFirstFavoriteResult is called with bGetCustomColumns set to false, or

- IEdmSearch5::GetFirstResult is called,

then ppoRetColValues is null.

The ppoRetColValues array elements map to the fields in the EdmListCol structures in the array (ppoRetColsInfo) that is returned by IEdmSearchResult6::GetCustomColumnsInfo as follows:

size_of_ppoRetColValues = (size_of_ppoRetColsInfo) * (6 EdmListCol fields)

# See Also

####

IEdmSearchResult6 Interface
IEdmSearchResult6 Members

# Availability

SOLIDWORKS PDM Professional 2021